/*
    Coin pour piste Mario Kart Live
    Debian 9.5 Stretch @ kirin / 20220629 / pierre @ lesporteslogiques.net
    OpenSCAD 2021.1
      + roundedcube.scad (par Daniel Upshaw) : https://danielupshaw.com/openscad-rounded-corners/
*/


use <roundedcube.scad>;

// Socle 
translate([0, 0, 1.5]) color([0, 1, 0, 0.5]) cylinder($fn=36, h=3, r=20, center=true);

// Pilier
translate([0,0,28.5]) color([1, 0.5, 0]) roundedcube(size = [26, 26, 52], center = true, radius = 0.5, apply_to = "all");

// Fixations IRO
rotate([0, 90, 0]) translate([-17, 0, -18.5]) hexa(0, 1, 1, 1); // bleu
rotate([0, 90, 0]) translate([-41, 0, -18.5]) hexa(0, 1, 1, 1);

rotate([90, 270, 0]) translate([17, 0, -18.5]) hexa(1, 1, 0, 1); // jaune
rotate([90, 270, 0]) translate([41, 0, -18.5]) hexa(1, 1, 0, 1);

// -----------------------------------------------------------------------

module hexa(r,g,b,a) {
    color([r, g, b, a]) cylinder($fn=6, h=18.5+1, r=8.55, center=true);
}